Let mobile header be fixed
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI - Responsive Estimated time: 0.00 hour

Target version: 3.2.1   

Description

It's a common pattern to have a fixed header for mobile devices in order to have important menu points always available instead

having to scroll back to top.

This patch makes the header fixed on mobile devices.

Related issues:

Related to Redmine - Feature #24671: Make the header fixed New

Associated revisions

Revision 15204 - 2016-03-12 11:00 - Jean-Philippe Lang

Let mobile header be fixed (#21847).

Patch by Felix Gliesche.

Revision 15205 - 2016-03-12 11:01 - Jean-Philippe Lang

Merged r15204 (#21847).

History

#1 - 2016-01-29 09:30 - Go MAEDA

- File 21847-gantt.png added

- File 21847-calendar.png added

- Target version set to Candidate for next major release

Thanks for the improvement!

But I have experienced some z-order related problem in gantt and calendar. please see the following screenshots.

 21847-gantt.png 

 21847-calendar.png 

#2 - 2016-01-29 15:10 - Felix Gliesche

- File 0001-Let-mobile-header-be-fixed.patch added

Thank you very much for your feedback. I am uploading an updated patch, which fixes the mentioned problems by setting the z-index to a very high

value (9999).

#3 - 2016-01-30 03:37 - Jan from Planio www.plan.io

- File deleted (0001-Let-mobile-header-be-fixed.patch)

#4 - 2016-01-30 03:39 - Jan from Planio www.plan.io

Deleting the obsolete patch.

I was also wondering if this should maybe assigned to the next minor version already? It is not a tremendously big change, more of an incremental

improvement of the (already released) responsive layout.

Is it okay if I reassign to next minor instead of major?

#5 - 2016-02-17 04:14 - Jan from Planio www.plan.io

- Target version changed from Candidate for next major release to Candidate for next minor release
I'm assigning this to next minor, hoping that's okay. A fixed header is a big win for usability since it keeps the sidebar toggle button in sight always. It's

also a relatively small patch that should not break anything.

#6 - 2016-02-23 17:13 - Toshi MARUYAMA

- Target version changed from Candidate for next minor release to 3.2.1

#7 - 2016-03-12 11:01 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed, thanks.

#8 - 2017-01-17 13:06 - Toshi MARUYAMA

- Related to Feature #24671: Make the header fixed added

Files

21847-calendar.png 45 KB 2016-01-29 Go MAEDA

21847-gantt.png 52.6 KB 2016-01-29 Go MAEDA

0001-Let-mobile-header-be-fixed.patch 1.34 KB 2016-01-29 Felix Gliesche

Powered by TCPDF (www.tcpdf.org)

2025-08-23 2/2

http://www.tcpdf.org

